[SRU] OpenStack Kilo 2015.1.1 point release

Bug #1481008 reported by Corey Bryant on 2015-08-03
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
neutron-fwaas (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
neutron-lbaas (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
neutron-vpnaas (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

OpenStack 2015.1.1 released on Monday, August 3rd.

From the release email from Alan Pevec:

Hello everyone,

The OpenStack Stable Maintenance team is happy to announce the release
of the 2015.1.1 stable Kilo release. We have been busy reviewing and
accepting backported bugfixes to the stable/kilo branches according
to the criteria set at:

https://wiki.openstack.org/wiki/StableBranch

A total of 162 bugs have been fixed across all projects. These
updates to Kilo are intended to be low risk with no
intentional regressions or API changes. The list of bugs, tarballs and
other milestone information for each project may be found on Launchpad:

https://launchpad.net/ceilometer/kilo/2015.1.1
https://launchpad.net/cinder/kilo/2015.1.1
https://launchpad.net/glance/kilo/2015.1.1
https://launchpad.net/heat/kilo/2015.1.1
https://launchpad.net/horizon/kilo/2015.1.1
https://launchpad.net/ironic/kilo/2015.1.1
https://launchpad.net/keystone/kilo/2015.1.1
https://launchpad.net/neutron/kilo/2015.1.1
https://launchpad.net/nova/kilo/2015.1.1
https://launchpad.net/sahara/kilo/2015.1.1

OpenStack Database Service (Trove) did not have stable/kilo fixes
at this time and will skip 2015.1.1 release.

Release notes may be found on the wiki:

https://wiki.openstack.org/wiki/ReleaseNotes/2015.1.1

Thanks,
Alan

Related branches

CVE References

Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in neutron-lbaas (Ubuntu):
status: New → Invalid
Changed in neutron-vpnaas (Ubuntu):
status: New → Invalid
Changed in neutron-fwaas (Ubuntu):
status: New → Invalid

Hello Corey, or anyone else affected,

Accepted heat into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/heat/2015.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Vivid):
status: New → Fix Committed
tags: added: verification-needed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/1:2015.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/keystone/1:2015.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Vivid):
status: New → Fix Committed
Changed in nova (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted nova into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/1:2015.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron-fwaas (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-fwaas into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-fwaas/2015.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron-lbaas (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-lbaas into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-lbaas/1:2015.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron-vpnaas (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-vpnaas into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-vpnaas/1:2015.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted glance into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glance/1:2015.1.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Vivid):
status: New → Fix Committed
Changed in cinder (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/1:2015.1.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted ceilometer into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ceilometer/2015.1.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Vivid):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/1:2015.1.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Chris,

Testing of this SRU has completed successfully on vivid-proposed.

Thanks!
Corey

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2015.1.1-0ubuntu1

---------------
heat (2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (536dc83) (LP: #1481008):
    - [9ca4a53] Use action in check_*_complete method
    - [ed52c86] Produce more meaningful exception messages in nested stacks
    - [e35450a] Fix failures related to the mock 1.1.0 release
    - [ac5e71f] test_resource for functional tests
    - [c0d1b91] Improve StackValidationFailed response in properties
    - [99f95f0] Count all nested stack resources with DB operations
    - [5703a2f] Add domain when list users in heat-keystone-setup-domain
    - [18742d1] Heat could not create samples with Ceilometer
    - [a55f827] Missing template file on update fails silently
    - [1b5ff07] Failed to import test module in test
    - [b0be013] Add env storing for loaded environments
    - [a3bc0f6] Fix heat-db-setup error on rhel7.1
    - [3a7e7cb] Find root stack ID with database operations
    - [38b47eb] Continue to check if nova task is in progress
    - [8919a34] Catch exceptions in service status report
    - [754851d] Fix block_device_mapping property validation when using get_attr
    - [28a0639] Do not verify requirements on extension loading
    - [7148a96] Backup new resource as soon as possible
    - [da37773] Save updated-in-place resources to backup stack
    - [be9af28] Report status when engine start
    - [d2e70e4] Use snapshot's environment when stack restore
    - [612d806] Fix integration tests for tox>2.0
    - [ed2bed2] Fix property validation for TemplateResource during update
    - [a5297fe] Get rid of circular references in Resource and Function
    - [c7b1524] Sync oslo incubator
    - [06a5c0e] Generate stack events for stack state transitions
    - [aa4b90d] Update template paths for environment-mapped TemplateResources
    - [2a6378c] Fix TypeError exception during cancel stack update
    - [536dc83] Use SHA256 instead of SHA1 for resource signature
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <email address hidden> Mon, 03 Aug 2015 14:29:26 -0400

Changed in heat (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for heat has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2015.1.1-0ubuntu1

---------------
horizon (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (bb05237) (LP: #1481008):
    - [d29a68c] Removing Network Profile support in stable/kilo
    - [cfb16ec] Add a conditional judgement to avoid invalid dict index
    - [824df76] Fix mock issues found due to new mock release
    - [82f63a5] Fix Create User form's fields sorting for Django 1.7
    - [f0691cf] changing email from user list deletes user passwd
    - [25c961f] fix delete action always cause error
    - [ec27165] Fix date pickers in metering modal
    - [8ed6a85] Wait until the image is registered in Sahara image test
    - [fcff73c] Skip test_{floatingip,image_register_unregister,create_delete_user} for now
    - [1e84c93] Handle errors during glance image updates correctly
    - [2fc3fcd] corrected the create volume from snapshot
    - [84da479] Escape the description param from heat template
    - [bafdabb] Prevent multiple form submission on table row actions
    - [0642fdd] Fixing data processing operations for alternate webroots
    - [2e8e70b] User should be able to update allocation pool values.
    - [61d3955] Don't pass read only attributes on neutron update
    - [78e9a99] I/O error uploading image
    - [6566057] Fix TemplateDoesNotExist at manage/unmanage volumes
    - [30dde70] Sanitation of metadata passed from Django
    - [322a74c] Inherit environment variables for tests that use nodeenv
    - [baf55ce] LBaas v1 Associate Monitor to Pool Fails
    - [bb05237] Fix exponentially growing AJAX updates for table rows

 -- Corey Bryant <email address hidden> Tue, 04 Aug 2015 12:44:57 -0400

Changed in horizon (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-vpnaas - 1:2015.1.1-0ubuntu1

---------------
neutron-vpnaas (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (9c73c0c) (LP: #1481008):
    - [fb18c46] Set vpn agent's agent_state['binary'] attribute
    - [0ec1668] Fix failures for integration tests
    - [053fd30] VPNaaS: Fix breakage in status reporting
    - [5cc0613] Libreswan driver support in VPNaaS
    - [9c73c0c] Provide Fedora support for StrongSwan

 -- Corey Bryant <email address hidden> Wed, 05 Aug 2015 16:48:20 +0200

Changed in neutron-vpnaas (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package nova - 1:2015.1.1-0ubuntu1

---------------
nova (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (d8a470d) (LP: #1481008):
    - [e6e39e1] Remove incorrect Instance 1.18 relationship for PciDevice 1.2
    - [a55ea8c] Fix the incorrect PciDeviceList version number
    - [e56aed8] Add support for forcing migrate_flavor_data
    - [ccd002b] Fix migrate_flavor_data string substitution
    - [124b501] Allow libvirt cleanup completion when serial ports already released
    - [4908d46] Fixed incorrect dhcp_server value during nova-network creation
    - [0cf44ff] Fixed nova-network dhcp-hostsfile update during live-migration
    - [dc6af6b] libvirt: handle code=38 + sigkill (ebusy) in destroy()
    - [6e22a8b] hypervisor support matrix: add kvm on system z in kilo release
    - [e013ebf] Fix max_number for migrate_flavor data
    - [2b5fe5d] Reduce window for allocate_fixed_ip / release_fixed_ip race in nova-net
    - [cd6353a] Mark ironic credential config as secret
    - [48a6217] Ensure to store context in thread local after spawn/spawn_n
    - [fc7f1ab] Store context in local store after spawn_n
    - [199f0ab] Fixes TypeError when libvirt version is BAD_LIBVIRT_CPU_POLICY_VERSIONS
    - [1f4088d] Add 'docker' to the list of known hypervisor types
    - [30fe27d] Fix noVNC console access for an IPv6 setup
    - [41ba203] libvirt: Don't try to confine a non-NUMA instance
    - [2635ee0] Fix quota-update stuck in deleting when nova-compute startup finish
    - [540221f] Remove useless volume when boot from volume failed
    - [4bb1e08] network: fix instance cache refresh for empty list
    - [22adc62] Make nova-manage handle completely missing flavor information
    - [c66c8e1] libvirt: safe_decode xml for i18n logging
    - [c42b47e] Reschedules sometimes do not allocate networks
    - [72f7e30] Hyper-V: Fixes cold migration / resize issue
    - [a0f093a] Create instance_extra entry if it doesn't update
    - [6463b38] Don't wait for an event on a resize-revert
    - [d55ee5a] Ironic: pass injected files through to configdrive
    - [e7519b4] Associate floating IPs with first v4 fixed IP if none specified
    - [d18058e] libvirt: handle NotSupportedError in compareCPU
    - [1a6053b] fix network setup on evacuate
    - [aaaf7ce] Delete shelved_* keys in n-cpu unshelve call
    - [82f83d4] Correct the help text for the compute option.
    - [8ba0159] Fix loading things in instance_extra for old instances
    - [709f0bb] Delay STOPPED lifecycle event for all domains, not just Xen
    - [1b941f1] Handle return code 2 from blkid calls
    - [8e9ecf7] Libvirt: Use tpool to invoke guestfs api
    - [7ae9466] Incorrect argument order passed to swap_volume
    - [c363c2d] VMWare: Isolate unit tests from requests
    - [e896c5a] Make test_version_string_with_package_is_good work with pbr 0.11
    - [cbf606b] view hypervisor details rest api should be allowed for non-admins
    - [c1b6e1a] sync oslo: service child process normal SIGTERM exit
    - [d8a470d] Hyper-V: checks for existent Notes in list_instance_notes
  * d/p/fixup-blkid.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.b...

Read more...

Changed in nova (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2015.1.1-0ubuntu1

---------------
keystone (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (54400bf) (LP: #1481008):
    - [c4dc133] Mask passwords in debug log on user password operations
    - [fba2d5c] Add test showing password logged
    - [afaaf11] Fix xmldsig import
    - [ec30329] Pass-in domain when testing saml signing
    - [0c0bf69] Add openstack_project_domain to assertion
    - [dafe5f9] Fix signed_saml2_assertion.xml tests fixture
    - [67cda0c] Eventlet green threads not released back to pool
    - [54400bf] Remove project association before removing endpoint group

 -- Corey Bryant <email address hidden> Mon, 03 Aug 2015 14:30:05 -0400

Changed in keystone (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-lbaas - 1:2015.1.1-0ubuntu1

---------------
neutron-lbaas (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (fb3f629) (LP: #1481008):
    - [fb3f629] Fix test failures caused by mock update

 -- David Ames <email address hidden> Tue, 04 Aug 2015 10:16:10 -0700

Changed in neutron-lbaas (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas - 2015.1.1-0ubuntu1

---------------
neutron-fwaas (2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (cdcd5a7) (LP: #1481008):
    - [cdcd5a7] Make iptables firewall work with L3 plugin without DVR support

 -- David Ames <email address hidden> Tue, 04 Aug 2015 08:40:49 -0700

Changed in neutron-fwaas (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2015.1.1-0ubuntu2

---------------
glance (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - d/p/fix-test-artifacts-plugin-loader.patch: Added to fix failing tests.
    - d/p/skip-glance-search-tests.patch: Added to fix failing tests.
    - d/p/skip-online-tests.patch: Added to skip tests that require online access
      during Ubuntu builds.

 -- Corey Bryant <email address hidden> Wed, 05 Aug 2015 17:53:11 -0400

Changed in glance (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2015.1.1-0ubuntu2

---------------
cinder (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - debian/patches/CVE-2015-1851.patch: Dropped. Fixed upstream.

 -- David Ames <email address hidden> Thu, 06 Aug 2015 08:52:22 -0700

Changed in cinder (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2015.1.1-0ubuntu2

---------------
neutron (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - d/neutron-pluging-linuxbridge-agent.init.in: Ensure that the right
      binary is used for neutron-plugin-linuxbridge-agent (LP: #1453188).

 -- Corey Bryant <email address hidden> Wed, 05 Aug 2015 11:23:17 -0400

Changed in neutron (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2015.1.1-0ubuntu2

---------------
ceilometer (2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - d/p/disable-kafka.patch: Mocked KafkaBrokerPublisher.
    - d/p/skip-rgw-tests.patch: Mocked rgw, rgw_client, RGWAdminAPIFailed,
      and RGWAdminClient.
    - d/control: Add python-awsauth as Suggested.

 -- David Ames <email address hidden> Wed, 05 Aug 2015 16:09:41 -0700

Changed in ceilometer (Ubuntu Vivid):
status: Fix Committed → Fix Released

Hello Corey, or anyone else affected,

Accepted keystone into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/keystone/1:2015.1.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers